Name:     acpi-handler
Version:  0.1.2
Release:  1%{?dist}
Summary:  Configurable handling of ACPI events

License:  GPLv3
URL:      https://git.sr.ht/~fnux/acpi-handler
Source0:  %{url}/archive/v%{version}.tar.gz

BuildArch: noarch
BuildRequires: perl-generators perl-podlators systemd-rpm-macros
# perl-generators takes care of the 'Requires' tag.

%description
%{summary}.

%prep
%autosetup -n %{name}-v%{version}

%build
pod2man acpi-handler > acpi-handler.1

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_unitdir}/user
install -p -m 755 acpi-handler %{buildroot}%{_bindir}/acpi-handler
install -p -m 644 acpi-handler.1 %{buildroot}%{_mandir}/man1/acpi-handler.1
install -p -m 644 acpi-handler.service %{buildroot}%{_unitdir}/user/acpi-handler.service

%files
%doc README.md
%license COPYING
%{_bindir}/acpi-handler
%{_mandir}/man1/acpi-handler.1.*
%{_unitdir}/user/%{name}.service

%changelog
* Mon Jun 24 2019 Timothée Floure <fnux@fedoraproject.org> - 0.1.2-1
- New upstream release
- Ship systemd user unit file

* Sun Apr 28 2019 Timothée Floure <fnux@fedoraproject.org> - 0.1.1-1
- New upstream release

* Sat Apr 27 2019 Timothée Floure <fnux@fedoraproject.org> - 0.1.0-1
- Let there be package.
